@echo off
cls
echo EAGLE Installation
echo .
rem --- Dispatcher ----------------------------------------------------------
if "%1"=="?" goto USAGE
if "%1"==""  goto DEFAULT
if "%2"==""  goto CUSTOM_1
if "%3"==""  goto CUSTOM_2
if "%4"==""  goto CUSTOM_3
goto USAGE
:USAGE
echo Aufruf: %0           Standard-Installation
echo         %0 X:        Standard-Installation auf Laufwerk X:
echo         %0 X: DIR    Installation in das Verzeichnis DIR auf Laufwerk X:
goto END
:MISSINGFILES
echo .
echo Eine Datei, die zur Installation erforderlich ist, konnte nicht gefunden werden
echo Bitte stellen Sie sicher, da Sie die Installation auf dem Laufwerk und in dem
echo Verzeichnis starten, in dem sich die Datei '%0' befindet!
pause
goto END
rem --- Default Installation ------------------------------------------------
:DEFAULT
%0 C: \EAGLE A:
goto END
rem --- Installation into \EAGLE on drive %1 -----------------------------
:CUSTOM_1
%0 %1 \EAGLE A:
goto END
rem --- Installation into %2 on drive %1 ------------------------------------
:CUSTOM_2
%0 %1 %2 A:
goto END
rem --- Installation into %2 on drive %1 with license in %3 -----------------
:CUSTOM_3
echo EAGLE wird installiert nach %1%2
echo .
echo (Abbrechen mit Strg-Untbr - "install ?" fr Installationshinweise)
pause
rem --- Verify source data --------------------------------------------------
if not exist eagle.001 goto MISSINGFILES
if not exist dearj.exe goto MISSINGFILES
rem --- Verify existence of LICENSE.KEY file --------------------------------
:LICENSE
echo Bitte legen Sie Ihre EAGLE Lizenzdiskette in Laufwerk %3 ein.
echo .
echo (Abbrechen mit Strg-Untbr - "install ?" fr Installationshinweise)
pause
if not exist %3\license.key goto LICENSE
rem --- Create target directory ---------------------------------------------
md %1%2
echo check > %1%2\CHECK
if exist %1%2\CHECK goto DIROK1
echo Probleme beim Zugriff auf das Verzeichnis %1%2
goto END
:DIROK1
del %1%2\CHECK
goto CHECK
rem --- Check for existing files --------------------------------------------
:CHECK
if not exist %1%2\*.* goto COPY
echo .
echo .
echo Das Zielverzeichnis ist nicht leer.
echo Wenn Sie mit der Installation fortfahren, knnen Dateien in diesem
echo Verzeichnis berschrieben werden!
echo .
echo Falls Sie keine Sicherungskopie dieser Dateien haben, brechen Sie
echo die Installation jetzt ab und erzeugen Sie eine Sicherungskopie
echo (oder Sie installieren EAGLE in ein anderes Verzeichnis).
echo .
echo (Abbrechen mit Strg-Untbr - "install ?" fr Installationshinweise)
pause
rem --- Delete obsolete files -----------------------------------------------
if exist %1%2\manual.doc del %1%2\manual.doc >nul
rem --- Copy files ----------------------------------------------------------
:COPY
dearj x eagle.001 -v -jyv %1%2\
if errorlevel 1 goto INSTFAILURE
rem --- Go into target directory --------------------------------------------
%1
cd %2
rem --- Create EAGLE icon ---------------------------------------------------
echo /* --------------- EAGLE Installation ---------------- */  > makeicon.cmd
echo dir     = directory()                                      >> makeicon.cmd
echo parm    = "%%"                                             >> makeicon.cmd
echo exefull = dir"\EAGLE.EXE"                                  >> makeicon.cmd
echo title   = "EAGLE"                                 >> makeicon.cmd
echo call load                                                  >> makeicon.cmd
echo call SysCreateObject "WPProgram", title, "<WP_DESKTOP>", "EXENAME="exefull";PARAMETERS="parm";PROGTYPE=PM;STARTUPDIR="dir";", "update" >> makeicon.cmd
echo /* --- Load the function library, if necessary --- */      >> makeicon.cmd
echo load:                                                      >> makeicon.cmd
echo if \RxFuncQuery("SysLoadFuncs") then return                >> makeicon.cmd
echo call RxFuncAdd "SysLoadFuncs","REXXUTIL","SysLoadFuncs"    >> makeicon.cmd
echo call SysLoadFuncs                                          >> makeicon.cmd
echo return                                                     >> makeicon.cmd
call makeicon.cmd
del makeicon.cmd
rem --- Check for any Last Minute Changes on the license disk ---------------
if not exist %3\LMC35803.cmd goto NOLMC
call %3\LMC35803.cmd %1 %2 %3
:NOLMC
rem --- Let user know we are finished ---------------------------------------
echo .
echo Ende der EAGLE Installation
pause
goto END
rem --- Installation failed -------------------------------------------------
:INSTFAILURE
echo .
echo Fehler bei der EAGLE Installation
pause
goto END
:END
